@media (min-width:576px) {

    .login-lang,
    .top-link {
        position: static !important;
    }
}

@media (min-width:992px) {
    .for-table td:nth-of-type(n)::before {
        display: none;
    }

    .nav-item.dropdown {
        position: static !important;
    }

    .navbar-expand-lg .navbar-nav .dropdown-menu {
        left: 0;
        right: 0;
    }

    #hot-keyword ul {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-auto-flow: column;
        grid-template-rows: repeat(7, auto);
        column-gap: 1rem;
        list-style-type: none;
        padding: 0;
    }

    .list-title dt {
        flex: 0 0 130px;
        min-width: 130px;
    }
}

@media (min-width:1200px) {
    .row-cols-lg-7 > * {
        flex: 0 0 auto;
        width: calc(100% / 7);
    }

    .custom-legend-container li {
        font-size: 0.875rem;
    }

    .row-cols-xl-7 > * {
        flex: 0 0 auto;
        width: calc(100% / 7);
    }

    .cart-list td,
    .cart-list th {
        border: 1px solid #e2e6ea;
    }

    .my-applicant .table-box table:not(.not-width-set) {
        width: 1600px;
    }

    .for-table:not(.my-applicant .for-table) tr th span {
        display: inline-block;
        width: 75%;
    }

    table {
        font-size: 0.93rem;
    }
}

@media (min-width: 1400px) {
    .navbar-expand-xxl .navbar-nav .dropdown-menu {
        left: 0;
        right: 0;
        top: calc(100% - 6px);
    }

    .dropdown-menu {
        margin-top: 0;
        opacity: 0;
        visibility: hidden;
        display: flex;
        justify-content: center;
    }

    .navbar-nav > .nav-item > .dropdown-menu > li {
        border-right: 1px solid #dbdbdb;
        padding: 0 1rem;
    }

    /* 20250928 ///////////////////// */
    .nav-item.dropdown .dropdown-menu.show {
        display: flex;
        align-items: stretch;
        opacity: 1 !important;
        visibility: visible !important;
    }
}

@media (min-width:1400px) and (max-width:1540px) {
    .login-lang .btn {
        padding: 0 !important;
    }
}

@media (max-width:1507px) {
    .navbar .col-xxl-11.mx-xxl-auto {
        flex: 0 0 100%;
    }

    .navbar-brand {
        width: 150px
    }
}

@media (min-width:1400px) and (max-width:1700px) {
    .navbar-brand {
        width: 130px
    }

    .navbar .col-xxl-11.mx-xxl-auto {
        flex: 0 0 100%;
    }
}

@media (max-width:1399px) {
    .offcanvas-start {
        padding: 1.25rem;
    }

    .login-lang {
        margin-left: auto;
    }

    .simple-search,
    .simple-search .col-md-10 {
        flex: 0 0 100% !important;
        width: 100% !important;
    }

    .advanced-box {
        flex: 0 0 auto;
    }

    .search-area form > div:first-of-type {
        position: relative
    }

    .advanced-search-btn {
        position: absolute !important;
        right: 0;
        top: 135px;
        margin-top: 0 !important;
    }

        .advanced-search-btn > .d-flex {
            justify-content: flex-end;
        }

    label.border,
    .label-title > select,
    .label-title > span {
        border: 0 !important;
        border-left: 3px solid #00ada9 !important;
        text-align: start !important;
        padding: 0 .75rem !important;
    }

    .dropdown-menu.show li {
        border-bottom: 1px solid #85ccca
    }

    .navbar-nav {
        height: 100vh;
        overflow-y: scroll;
    }
}

@media (min-width:992px) and (max-width:1365px) {
    footer .order-1 li {
        border-left: 2px solid #7e848a;
        padding-left: .5rem;
        margin-bottom: .3rem;
    }
}

@media (max-width:1199px) {

    .for-table.table {
        overflow-x: hidden;
    }

    .for-table.table,
    .for-table tr,
    .for-table tr td,
    .for-table tr th,
    .for-table tbody {
        display: block;
        flex: 0 0 100%;
        width: 100%;
        text-align: start !important;
    }

    .for-table tr {
        display: flex;
        flex-wrap: wrap;
        border: 1px solid #dbdbdb;
        margin-bottom: 0.5rem;
    }

        .for-table tr th {
            flex: 0 0 100%;
            width: 100%;
        }

    .for-table thead {
        display: none;
    }

    .for-table td:nth-of-type(n)::before {
        content: attr(m-show);
        display: block;
        font-weight: 700;
        /* white-space: nowrap !important; */
    }

    .table > :not(caption) > * > * {
        border-bottom-width: 0;
    }

    /* ------------------------------ */
    .table-for-device thead {
        display: block;
        position: relative;
        height: 70px;
        overflow-x: auto;
    }

        .table-for-device thead tr {
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            flex-wrap: nowrap;
            width: 100%;
            max-width: 1400px;
            display: flex;
            justify-content: space-between;
        }

            .table-for-device thead tr th {
                flex: 0 0 auto !important;
                width: auto !important;
                display: flex;
                justify-content: space-between;
                gap: 1rem;
                border-right: 1px solid #c4c4c4;
            }

    /*.cart-list thead th:first-of-type,
    .cart-list thead th:nth-of-type(2),*/
    .cart-list thead th br {
        display: none;
    }

    .my-applicant thead th:not(.my-applicant th.w15):not(.my-applicant th.w100) {
        display: none;
    }

    .my-applicant .table-for-device thead tr {
        justify-content: start;
    }

    .for-table.show-thead thead {
        display: block;
        background-color: #f5f5f5;
    }

        .for-table.show-thead thead tr {
            align-items: center;
        }

            .for-table.show-thead thead tr th {
                flex: 0 0 33.33%;
            }
}

@media (min-width:768px) and (max-width:991px) {

    .number-visitors,
    .number-visitors + ul {
        justify-content: flex-start !important;
    }
}

@media (max-width: 991px) {
    body > *:not(nav):not(.page-search) {
        overflow-x: hidden;
    }

    .navbar-nav > li.nav-item {
        border-bottom: 1px solid #03182C;
    }

    .dropdown-menu > li {
        border-color: #a1bcd5 !important;
    }

    .dropdown-menu {
        border: none !important;
    }

    .navbar-brand {
        width: 150px
    }

    .page-item.border {
        border-right: 1px solid #fff !important;
        border-radius: 0 !important;
    }

    .heading-decorate {
        left: -17px;
    }

    .list-title dt::after {
        display: none;
    }

    .list-title > div:nth-child(even) {
        background-color: #e9e9e9
    }

    .naec-img {
        height: 250px;
    }

    .pagination .page-all .page-item:nth-of-type(6) ~ * {
        display: none;
    }

    .pagination .page-all .page-item:nth-of-type(11) ~ * {
        display: block;
    }

    .number-visitors {
        flex-direction: row !important;
        align-items: center;
    }
}

@media (max-width:767px) {
    .login-box .col:nth-of-type(2) .rounded-end-2.border-start-0 {
        border: 1px solid rgba(0, 0, 0, 0.175) !important;
        border-radius: 0.375rem !important;
    }

    .nav.nav-tabs a {
        display: block !important;
        width: 100%;
    }

    .page-all > div:first-of-type {
        flex: 0 0 100%;
        text-align: center;
    }

    .pagination .page-item:nth-of-type(1) .page-link,
    .pagination .page-item:nth-of-type(11) .page-link,
    .pagination .page-item:last-of-type .page-link {
        padding-left: 0.25rem;
        padding-right: 0.25rem;
    }

    .sort-box > div:first-of-type {
        flex: 0 0 100%;
        text-align: center;
    }

    .advanced-search-btn {
        top: 31px;
    }


    .table-for-device th span {
        display: block;
    }
}

@media (max-width: 575px) {
    .login-lang {
        left: auto !important;
        right: calc(50% + 20px) !important;
    }

    .navbar {
        overflow: hidden;
    }

    .navbar-brand {
        width: 150px
    }

    .number-visitors .fs-5,
    .number-visitors * {
        font-size: 0.98rem !important;
    }

    .date-start-end:not(.date-start-end:last-of-type) {
        margin-bottom: 0.3rem;
    }

    .heading-decorate {
        left: 0px;
        width: 90px;
        top: -15px;
    }

    h3.fs-36,
    h2.fs-36 {
        font-size: 1.875rem;
    }

    #highcharts-jmpi2ct-7,
    .highcharts-container {
        width: 100% !important;
        max-width: 400px;
    }

    .home-banner li a.fs-5 {
        font-size: 1rem !important;
    }

    .search-criteria label.fs-18 {
        font-size: 1rem;
    }

    .easy-search .fs-4 {
        font-size: 1.05rem !important;
    }

    .item img {
        border-radius: 10px 10px 0 0 !important
    }

    .custom-legend-container {
        width: 100% !important;
        max-width: 480px !important;
        display: flex;
        justify-content: center;
    }

    h3.card-title.fs-5 {
        font-size: 1.1rem !important;
    }

    .naec-img {
        height: 220px;
    }

    .number-visitors {
        justify-content: space-between;
    }

    .copyright {
        font-size: 0.75rem;
    }

    .cart-list-btn button {
        flex: 0 0 48%
    }

    .my-applicant h3.card-header {
        font-size: 1.2rem !important;
    }

    .add-media-type-box .col-lg-2.col-4 {
        flex-grow: 5;
    }
}

@media (max-width: 400px) {

    #highcharts-jmpi2ct-7,
    .highcharts-container {
        width: 100% !important;
        max-width: 360px;
    }
}
